clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::TextDocumentItem Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::TextDocumentItem:
[legend]

## Public Attributes
URIForFile | uri
| The text document's URI. More...
std::string | languageId
| The text document's language identifier. More...
int | version = 0
| The version number of this document (it will strictly increase after each. More...
std::string | text
| The content of the opened text document. More...

## Detailed Description

Definition at line 218 of file Protocol.h.

## Member Data Documentation

## ◆ languageId

std::string clang::clangd::TextDocumentItem::languageId

The text document's language identifier.

Definition at line 223 of file Protocol.h.

## ◆ text

std::string clang::clangd::TextDocumentItem::text

The content of the opened text document.

Definition at line 229 of file Protocol.h.

## ◆ uri

URIForFile clang::clangd::TextDocumentItem::uri

The text document's URI.

Definition at line 220 of file Protocol.h.

## ◆ version

int clang::clangd::TextDocumentItem::version = 0

The version number of this document (it will strictly increase after each.

Definition at line 226 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h